Subject: Re: bug#45671: 28.0.50; Permission denied when removing eln-cache and stuck in endless loop

From: Andrea Corallo <[email-masked]>
Date: Mon, 01 Feb 2021 21:14:40 +0000

Andrea Corallo via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <[email-masked]> writes:

> [re-adding the bug in Cc]
>
> Anders Stenman <[email-masked]> writes:
>
>> Hello Andrea,
>>
>> More info: The problem seems to occur after updating packages. If I
>> then try to quit emacs, I get the normal question regarding that
>> subprocesses are running and I have confirm exiting. After entering
>> "yes" I get a dialog telling me that emacs has crashed.
>>
>> Kind regards,
>> /Anders
>
> Hi Anders,
>
> as mentioned I think the issue is on `comp-delete-or-replace-file'.
> This is probably trying to delete a file that Windows does not allow to
> be deleted (being a shared library still a loaded).
>
> As you can see `comp-delete-or-replace-file' has some specific Windows
> handling that someone on a Windows system should debug ;)
>
> Thanks
>
>   Andrea

Ping :)

  Andrea